SELECT Код_назначения_ячейки INTO #TmpTable FROM Справочник_назначений_ячеек
SET IDENTITY_INSERT Справочник_назначений_ячеек ON

IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_назначения_ячейки = 1) INSERT INTO Справочник_назначений_ячеек (Код_назначения_ячейки,Описание) VALUES (1,'Ввод линии')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_назначения_ячейки = 2) INSERT INTO Справочник_назначений_ячеек (Код_назначения_ячейки,Описание) VALUES (2,'Ввод трансформатора (по высокой стороне)') 
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_назначения_ячейки = 3) INSERT INTO Справочник_назначений_ячеек (Код_назначения_ячейки,Описание) VALUES (3,'Межсекционный выключатель (МСВ)')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_назначения_ячейки = 4) INSERT INTO Справочник_назначений_ячеек (Код_назначения_ячейки,Описание) VALUES (4,'Междушинный выключатель (МШВ)')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_назначения_ячейки = 5) INSERT INTO Справочник_назначений_ячеек (Код_назначения_ячейки,Описание) VALUES (5,'Трансформатор собственных нужд (ТСН)')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_назначения_ячейки = 6) INSERT INTO Справочник_назначений_ячеек (Код_назначения_ячейки,Описание) VALUES (6,'Трансформатор напряжения (ТН)') 
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_назначения_ячейки = 7) INSERT INTO Справочник_назначений_ячеек (Код_назначения_ячейки,Описание) VALUES (7,'Межсекционный разъединитель (МСР)')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_назначения_ячейки = 8) INSERT INTO Справочник_назначений_ячеек (Код_назначения_ячейки,Описание) VALUES (8,'Разрядник (РВС или ОПН)')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_назначения_ячейки = 9) INSERT INTO Справочник_назначений_ячеек (Код_назначения_ячейки,Описание) VALUES (9,'ГР (ввод трансформатора по низкой стороне)')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_назначения_ячейки = 10) INSERT INTO Справочник_назначений_ячеек (Код_назначения_ячейки,Описание) VALUES (10,'Ввод фидера')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_назначения_ячейки = 100) INSERT INTO Справочник_назначений_ячеек (Код_назначения_ячейки,Описание) VALUES (100,'Неизвестное назначение ячейки')

SET IDENTITY_INSERT Справочник_назначений_ячеек OFF
DROP TABLE #TmpTable
